# norootforbuild

Name:		4pane
Version:	0.8.0
Release:	1.2

Summary:	A multi-pane, detailed-list file manager for Linux
License:	GPLv3
Group:		Productivity/File utilities
URL:		http://www.4pane.co.uk/

Source0:	%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

##BuildRequires:	gtk2-devel intltool pkgconfig update-desktop-files
%if 0%{?suse_version} >= 1140
%define         _use_internal_dependency_generator 0
%define         __find_requires %wx_requires
BuildRequires:  wxWidgets-wxcontainer-devel
%else
BuildRequires:  wxGTK-devel
%endif
BuildRequires:  gcc-c++ update-desktop-files


%description
4Pane is a multi-pane, detailed-list file manager for Linux. It is designed to
be fully-featured without bloat, and aims for speed rather than visual effects.
In addition to standard file manager things, it offers multiple undo and redo
of most operations (including deletions), archive management including 'virtual
browsing' inside archives, multiple renaming/duplication of files, a terminal
emulator and user-defined tools.


%prep
%setup -q -n %{name}-%{version}
%__sed -i -e "s|\$(datadir)/doc|%{_docdir}|g" Makefile.in
%__sed -i -e "s|/usr/doc/4Pane/|%{_docdir}/4Pane/|g" Configure.cpp


%build
%configure
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
%find_lang 4Pane
%suse_update_desktop_file -r 4Pane Utility DesktopUtility
%__mkdir -p %{buildroot}/%{_datadir}/applications
cd %{buildroot}/%{_datadir}/applications
%__ln_s ../4Pane/rc/4Pane.desktop 4Pane.desktop

%clean
%__rm -rf "%{buildroot}"


%files -f 4Pane.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/4Pane
%dir %{_datadir}/4Pane
%dir %{_datadir}/4Pane/bitmaps
%{_datadir}/4Pane/bitmaps/*
%dir %{_datadir}/4Pane/rc
%{_datadir}/4Pane/rc/*
%{_datadir}/applications/4Pane.desktop
%dir %{_docdir}/4Pane
%{_docdir}/4Pane/*


%changelog
* Sat May 28 2011 detlef@links2linux.de
- initial build for PackMan <0.0.8>
